#include <iostream>

/*bool (int x)
{
    int s=x-3;
    int t=1;
    while(t!=s)
     {

       t*=2;}

}*/

using namespace std;

int main()
{
     int n,p=0;
     cin>>n;
     int t;

     for(int i=0;i<n;i++)
     {
         cin>>t;
         if(t%2==0)
         p++;
         

     }
     if(n%2==1)
        cout<<p;
     return 0;
}